name = 'usd'

version = '19.11'

requires = [
    'alembic-1.7.8',
    'boost-1.61',
    'tbb-4.4.6',
    'openexr-2.3',
    'oiio-2.0.10',
    'ocio-1.1.0',
    'glew-2.1.0',
    'embree-2.11',
    '~maya-2018',
    'python_abi-2.7'
]

def commands():
    env.USD_ROOT.set('{root}')
    env.PATH.append('{root}/lib/')
    env.PYTHONPATH.append('{root}/lib/python')
    appendenv('PATH', '{root}/bin/')
    env.PATH.append('{root}/plugin/usd/')
    env.USDIMAGING_ENABLE_FACEVARYING_NORMALS.set(0)
    if "maya" in resolve:
        env.MAYA_SCRIPT_PATH.append("{root}/third_party/maya/lib/usd/usdMaya/resources/")
        env.MAYA_SHELVES_ICONS = "{root}/third_party/maya/lib/usd/usdMaya/resources/"
        env.MAYA_SHELF_PATH.append("{root}/third_party/maya/lib/usd/usdMaya/resources/")
        env.XBMLANGPATH.append("{root}/third_party/maya/share/usd/plugins/usdMaya/resources/")
        env.MAYA_PLUG_IN_PATH.append("{root}/third_party/maya/plugin")
        env.PATH.append('{root}/third_party/maya/lib/')
        #env.MAYA_VP2_DEVICE_OVERRIDE.set("VirtualDeviceGL")
        #env.MAYA_VP2_USE_VP1_SELECTION.set(1)